using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfServices.Dto;

namespace WcfServices.Contract
{
    [ServiceContract]
    public interface IPersonalEventService
    {

        [OperationContract]
        Task<IEnumerable<PersonalEventDto>> GetPersonalEventsAsync(FilterDto filterDto);
        [OperationContract]
        Task<PersonalEventDto> GetPersonalEventByIdAsync(int id);
        [OperationContract]
        Task CreatePersonalEventAsync(PersonalEventDto userDto);
        [OperationContract]
        Task UpdatePersonalEventAsync(PersonalEventDto userDto);
        [OperationContract]
        Task DeletePersonalEventAsync(int id);

    }

}
